[SciPy-Dev] Release candidate 2 for NumPy 1.4.1 and SciPy 0.7.2

PHobson@Geosynte... PHobson@Geosynte...
Wed Apr 14 13:56:02 CDT 2010


Thanks for all the hard work on this. One minor error on imports. Doesn't appear to affect anything though.

Python 2.6.2 (r262:71605, Apr 14 2009, 22:40:02) [MSC v.1500 32 bit (Intel)]
Type "copyright", "credits" or "license" for more information.

IPython 0.10 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object'. ?object also works, ?? prints more.

In [2]: import numpy as np

In [3]: np.__version__
Out[3]: '1.4.1rc2'

In [4]: import scipy as sp

In [5]: sp.__version__
Out[5]: '0.7.2rc2'

In [6]: import scipy.stats as st
C:\Python26\lib\site-packages\rpdb2.py:13502: RuntimeWarning: numpy.dtype size changed, may indicate binary incompatibility
  m = g_import(*args, **kwargs)
C:\Python26\lib\site-packages\rpdb2.py:13502: RuntimeWarning: numpy.flatiter size changed, may indicate binary incompatibility
  m = g_import(*args, **kwargs)

From: scipy-dev-bounces@scipy.org [mailto:scipy-dev-bounces@scipy.org] On Behalf Of Ralf Gommers
Sent: Wednesday, April 14, 2010 8:47 AM
To: Discussion of Numerical Python; SciPy Developers List; matplotlib-devel@lists.sourceforge.net; pygame-users@seul.org
Subject: [SciPy-Dev] Release candidate 2 for NumPy 1.4.1 and SciPy 0.7.2

Hi,

I am pleased to announce the second release candidate of both Scipy 0.7.2 and NumPy 1.4.1. Please test, and report any problems on the NumPy or SciPy list. I also want to specifically ask you to report success/failure with other libraries (Matplotlib, Pygame, <your favorite lib here>) based on NumPy or SciPy.

Binaries, sources and release notes can be found at
https://sourceforge.net/projects/numpy/files/
https://sourceforge.net/projects/scipy/files/


NumPy 1.4.1
==========
The main change over 1.4.0 is that datetime support has been removed. This fixes the binary incompatibility issues between NumPy and other libraries like SciPy and Matplotlib.

There are also a number of other bug fixes, and no new features.

Binaries for Python 2.5 and 2.6 are available for both Windows and OS X.


SciPy 0.7.2
=========
The only change compared to 0.7.1 is that the C sources for Cython code have been regenerated with Cython 0.12.1. This ensures that SciPy 0.7.2 will work with NumPy 1.4.1, while also retaining backwards compatibility with NumPy 1.3.0.

Note that the 0.7.x branch was created in January 2009, so a lot of fixes and new functionality in current trunk is not present in this release.

Binaries for Python 2.6 are available for both Windows and OS X. Due to the age of the code no binaries for Python 2.5 are available.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-dev/attachments/20100414/8ed8ecf3/attachment-0001.html 


More information about the SciPy-Dev mailing list